commit:     0864160f387a21c9638b896b93d06e857bd3f0ee
Author:     Lars Wendler <polynomial-c <AT> gentoo <DOT> org>
AuthorDate: Tue Nov 10 21:42:05 2020 +0000
Commit:     Lars Wendler <polynomial-c <AT> gentoo <DOT> org>
CommitDate: Tue Nov 10 21:48:35 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=0864160f

sys-process/lsof: Bump to version 4.94.0

Package-Manager: Portage-3.0.9, Repoman-3.0.2
Signed-off-by: Lars Wendler <polynomial-c <AT> gentoo.org>

 sys-process/lsof/Manifest           |   1 +
 sys-process/lsof/lsof-4.94.0.ebuild | 116 ++++++++++++++++++++++++++++++++++++
 2 files changed, 117 insertions(+)

diff --git a/sys-process/lsof/Manifest b/sys-process/lsof/Manifest
index d8e31733fa7..ca06222d720 100644
--- a/sys-process/lsof/Manifest
+++ b/sys-process/lsof/Manifest
@@ -1 +1,2 @@
 DIST lsof-4.93.2.tar.gz 1319222 BLAKE2B 
3b1756e7b72a0b0a2a11bce82a9b386f6dc5727d7837a4d544e2e33a98be3bfb46af50f0d8cc7b4a4bc419148d13f86d0f34cf806d90ba5d31312f426f81b7e9
 SHA512 
3c4a4d503391b1a648a08a4947c2e72a9629b169eddf50738b16a16a82f2a26967e4db2902e4a9157de5a73ae638db48e392117ffbd591e9fafd6b1725cd01a0
+DIST lsof-4.94.0.tar.gz 1340224 BLAKE2B 
b3d3c4707dac22c5431ac37c6a9f28ba5057b9a8dce65038934f1148209ef4615012ed887e263ec648679d0d95a06c78ed83a7d76cc8d97c05c013c563938793
 SHA512 
852b12e621e1dbf71e5f7fd848a200339ca278fbe8c39dcd33f745d1aea4e61552c0f30a3f6469ad9d4b86a9163e677f8c95298159ebd647357734225aa06c0c

diff --git a/sys-process/lsof/lsof-4.94.0.ebuild 
b/sys-process/lsof/lsof-4.94.0.ebuild
new file mode 100644
index 00000000000..da9d568ab34
--- /dev/null
+++ b/sys-process/lsof/lsof-4.94.0.ebuild
@@ -0,0 +1,116 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit flag-o-matic toolchain-funcs
+
+MY_P="${P/-/_}"
+DESCRIPTION="Lists open files for running Unix processes"
+HOMEPAGE="https://github.com/lsof-org/lsof";
+SRC_URI="https://github.com/lsof-org/lsof/archive/${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="lsof"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~riscv 
~s390 ~sparc ~x86 ~ppc-aix ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos 
~sparc-solaris ~x64-solaris ~x86-solaris"
+IUSE="examples ipv6 rpc selinux"
+
+RDEPEND="rpc? ( net-libs/libtirpc )
+       selinux? ( sys-libs/libselinux )"
+DEPEND="${RDEPEND}
+       rpc? ( virtual/pkgconfig )"
+BDEPEND="
+       sys-apps/groff
+"
+
+# needs fixing first
+RESTRICT="test"
+
+PATCHES=(
+       "${FILESDIR}"/${PN}-4.85-cross.patch #432120
+)
+
+src_prepare() {
+       default
+       # fix POSIX compliance with `echo`
+       sed -i \
+               -e 's:echo -n:printf:' \
+               AFSConfig Configure Customize Inventory tests/CkTestDB || die
+       # Convert `test -r header.h` into a compile test.
+       # Make sure we convert `test ... -a ...` into two `test` commands
+       # so we can then convert both over into a compile test. #601432
+       sed -i -E \
+               -e '/if test .* -a /s: -a : \&\& test :g' \
+               -e '/test -r/s:test -r 
\$\{LSOF_INCLUDE\}/([[:alnum:]/._]*):echo "#include <\1>" | ${LSOF_CC} 
${LSOF_CFGF} -E - >/dev/null 2>\&1:g' \
+               -e 's:grep (.*) \$\{LSOF_INCLUDE\}/([[:alnum:]/._]*):echo 
"#include <\2>" | ${LSOF_CC} ${LSOF_CFGF} -E -P -dD - 2>/dev/null | grep \1:' \
+               Configure || die
+
+       # "create" man-page (bug #689462)
+       # inspired by shipped "makeman" ksh script
+       soelim < Lsof.8 > lsof.8 || die
+}
+
+target() {
+       case ${CHOST} in
+       *-darwin*)  echo darwin  ;;
+       *-freebsd*) echo freebsd ;;
+       *-solaris*) echo solaris ;;
+       *-aix*)     echo aixgcc  ;;
+       *)          echo linux   ;;
+       esac
+}
+
+src_configure() {
+       append-cppflags $(use rpc && $(tc-getPKG_CONFIG) libtirpc --cflags || 
echo "-DHASNOTRPC -DHASNORPC_H")
+       append-cppflags $(usex ipv6 -{D,U}HASIPv6)
+       [[ ${CHOST} == *-solaris2.11 ]] && append-cppflags -DHAS_PAD_MUTEX
+       if [[ ${CHOST} == *-darwin* ]] ; then
+               # make sys/proc_info.h available in ${T} because of LSOF_INCLUDE
+               # dummy location -- Darwin needs this for a Configure check to
+               # succeed
+               if [[ -e /usr/include/sys/proc_info.h ]] ; then
+                       mkdir -p "${T}"/sys || die
+                       ( cd "${T}"/sys && ln -s /usr/include/sys/proc_info.h ) 
|| die
+               fi
+       fi
+
+       export LSOF_CFGL="${CFLAGS} ${LDFLAGS} \
+               $(use rpc && $(tc-getPKG_CONFIG) libtirpc --libs)"
+
+       # Set LSOF_INCLUDE to a dummy location so the script doesn't poke
+       # around in it and mix /usr/include paths with cross-compile/etc.
+       touch .neverInv
+       LINUX_HASSELINUX=$(usex selinux y n) \
+       LSOF_INCLUDE=${T} \
+       LSOF_CC=$(tc-getCC) \
+       LSOF_AR="$(tc-getAR) rc" \
+       LSOF_RANLIB=$(tc-getRANLIB) \
+       LSOF_CFGF="${CFLAGS} ${CPPFLAGS}" \
+       ./Configure -n $(target) || die
+}
+
+src_compile() {
+       emake DEBUG="" all
+}
+
+src_install() {
+       dobin lsof
+
+       if use examples ; then
+               insinto /usr/share/lsof/scripts
+               doins scripts/*
+       fi
+
+       doman lsof.8
+       dodoc 00*
+}
+
+pkg_postinst() {
+       if [[ ${CHOST} == *-solaris* ]] ; then
+               einfo "Note: to use lsof on Solaris you need read permissions 
on"
+               einfo "/dev/kmem, i.e. you need to be root, or to be in the 
group sys"
+       elif [[ ${CHOST} == *-aix* ]] ; then
+               einfo "Note: to use lsof on AIX you need read permissions on 
/dev/mem and"
+               einfo "/dev/kmem, i.e. you need to be root, or to be in the 
group system"
+       fi
+}

Reply via email to